Bug 35410 - allow dedicated image servers for clients / networks
allow dedicated image servers for clients / networks
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Image management
unspecified
Other Linux
: P5 enhancement
: UCC 2.1
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks: 38921
  Show dependency treegraph
 
Reported: 2014-07-18 13:55 CEST by Ingo Steuwer
Modified: 2015-08-07 15:48 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Roadmap discussion
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Steuwer univentionstaff 2014-07-18 13:55:56 CEST
If more than one image server is available UCC currently chooses randomly which one is used during a rollout.

For larger networks it would be helpfull to assign allowed or preferred image-servers to clients or networks. If possible, a client should know by the network it is currently in and the settings in the management system which image server will deliver with the best performance.

Currently this can be achieved only in a complex process: the image needs to be copied/renamed and registered several times under different names in the management system. Then, for each "rebranded" version of the image, image servers and clients can be assigned individually.
Comment 1 Felix Botner univentionstaff 2015-07-14 17:29:50 CEST
ucc-management-integration:
 * added univentionCorporateClientDedicatedImageServer to objectclass 
   univentionCorporateClient
 * added "imageServer" (ip of an UCC server) to computers/ucc

ucc-pxe-boot:
 * the listener now checks if the client has a 
   univentionCorporateClientDedicatedImageServer and uses this ip
   for the nfsroot options (otherwise ucc/pxe/nfsroot is used)

univention-ucc-initramfs:
 * is the client has an univentionCorporateClientDedicatedImageServer, it is now
   the first entry in the list of servers in generate_nfs_mount_script and 
   generate_upgrade_script


=> A dedicated image server can be set for a UCC client (no policy!). This server is than used in the pxe config and as first server during update/local rollout.
Comment 2 Erik Damrose univentionstaff 2015-07-15 15:22:43 CEST
OK: Integration packages
OK: unchanged default uses ucrv ucc/pxe/nfsroot, image server is configureable
OK: I added a changelog entry (r62134)
OK: documentation will be done at bug #38921
-> Verified
Comment 3 Erik Damrose univentionstaff 2015-08-07 15:48:18 CEST
UCC 2.1 has been released. If this error occurs again, please use "Clone This Bug".